@main {

    <h1>Server Sent Event UUIDs</h1>


    <p>
        UUID events are pushed from the Server using a Server Sent Event connection.
    </p>

    <h2 id="event">Waiting for events........</h2>

    <script type="text/javascript" charset="utf-8">

            if (!!window.EventSource) {
                var stringSource = new EventSource("@controllers.routes.ServerSideEventController.streamUuids()");
                stringSource
                        .addEventListener('message', function (e) {
                            $('#event').html(e.data)
                        });
            } else {
                $("#event")
                        .html("Sorry. This browser doesn't seem to support Server sent event. Check <a href='http://html5test.com/compare/feature/communication-eventSource.html'>html5test</a> for browser compatibility.");
            }
    </script>
}
